import type { RegleFieldStatus } from '@regle/core';
type __VLS_Props = {
    value?: string | number;
    modelValue?: string | number;
    label?: string;
    placeholder?: string;
    name?: string;
    type?: string;
    required?: boolean;
    disabled?: boolean;
    hasShowPassword?: boolean;
    numberMin?: number;
    numberMax?: number;
    labelProps?: Record<string, unknown>;
    preventTrim?: boolean;
    v?: Record<string, unknown>;
    regleValidation?: RegleFieldStatus<string>;
    customValidators?: unknown[];
};
declare const isValidation: import("vue").ComputedRef<boolean>, invalid: import("vue").ComputedRef<boolean>, validationText: import("vue").ComputedRef<string>;
declare const inputType: import("vue").Ref<string, string>;
declare const AfterWrapper: import("vue").Ref<any, any>;
declare const WtInput: import("vue").Ref<any, any>;
declare const isPasswordVisible: import("vue").Ref<boolean, boolean>;
declare const inputValue: import("vue").ComputedRef<string | number>;
declare const hasLabel: import("vue").ComputedRef<boolean>;
declare const requiredLabel: import("vue").ComputedRef<string>;
declare const isPassword: import("vue").ComputedRef<boolean>;
declare const showPasswordIcon: import("vue").ComputedRef<"eye--closed" | "eye--opened">;
declare function inputHandler(event: any): void;
declare function switchVisibilityPassword(): void;
declare function focus(): void;
declare const __VLS_ctx: InstanceType<__VLS_PickNotAny<typeof __VLS_self, new () => {}>>;
declare var __VLS_5: {
    label: string;
}, __VLS_7: {}, __VLS_9: {
    isPasswordVisible: boolean;
    switchVisibilityPassword: typeof switchVisibilityPassword;
};
type __VLS_Slots = __VLS_PrettifyGlobal<__VLS_OmitStringIndex<typeof __VLS_ctx.$slots> & {
    label?: (props: typeof __VLS_5) => any;
} & {
    'after-input'?: (props: typeof __VLS_7) => any;
} & {
    'show-password'?: (props: typeof __VLS_9) => any;
}>;
declare const __VLS_self: import("vue").DefineComponent<__VLS_Props, {
    isValidation: typeof isValidation;
    invalid: typeof invalid;
    validationText: typeof validationText;
    inputType: typeof inputType;
    AfterWrapper: typeof AfterWrapper;
    WtInput: typeof WtInput;
    isPasswordVisible: typeof isPasswordVisible;
    inputValue: typeof inputValue;
    hasLabel: typeof hasLabel;
    requiredLabel: typeof requiredLabel;
    isPassword: typeof isPassword;
    showPasswordIcon: typeof showPasswordIcon;
    inputHandler: typeof inputHandler;
    switchVisibilityPassword: typeof switchVisibilityPassword;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    input: (...args: any[]) => void;
    "update:modelValue": (...args: any[]) => void;
    keyup: (...args: any[]) => void;
}, string, import("vue").PublicProps, Readonly<__VLS_Props> & Readonly<{
    onInput?: (...args: any[]) => any;
    "onUpdate:modelValue"?: (...args: any[]) => any;
    onKeyup?: (...args: any[]) => any;
}>, {
    disabled: boolean;
    type: string;
    required: boolean;
    name: string;
    label: string;
    v: Record<string, unknown>;
    customValidators: unknown[];
    regleValidation: RegleFieldStatus<string>;
    hasShowPassword: boolean;
    numberMin: number;
    preventTrim: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
declare const __VLS_component: import("vue").DefineComponent<__VLS_Props, {
    focus: typeof focus;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    input: (...args: any[]) => void;
    "update:modelValue": (...args: any[]) => void;
    keyup: (...args: any[]) => void;
}, string, import("vue").PublicProps, Readonly<__VLS_Props> & Readonly<{
    onInput?: (...args: any[]) => any;
    "onUpdate:modelValue"?: (...args: any[]) => any;
    onKeyup?: (...args: any[]) => any;
}>, {
    disabled: boolean;
    type: string;
    required: boolean;
    name: string;
    label: string;
    v: Record<string, unknown>;
    customValidators: unknown[];
    regleValidation: RegleFieldStatus<string>;
    hasShowPassword: boolean;
    numberMin: number;
    preventTrim: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
declare const _default: __VLS_WithSlots<typeof __VLS_component, __VLS_Slots>;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
